{
  physical-networks = {
    plessur.ext = { # INIT 7
      v4 = {
        id = "85.195.200.253";
        bitmask = 24;
      };
      hosts = { calanda = { v4.ip = "85.195.200.253"; }; };
    };

    plessur.dmz = {
      v4 = {
        id = "10.1.2.0";
        bitmask = 24;
        gateway = "10.1.2.1";
        nameservers = [ "10.1.2.1" ];
      };

      hosts = {
        calanda.v4.ip = "10.1.2.1";
        montalin.v4.ip = "10.1.2.2";
      };
    };

    plessur.lan = {
      v4 = {
        id = "10.1.1.0";
        bitmask = 24;
      };

      hosts = { calanda.v4.ip = "10.1.1.1"; };
    };

    jona.lan = {
      v4 = {
        id = "10.2.1.0";
        bitmask = 24;
      };
    };

    eem.lan = {
      #TODO
      hosts = {
        stompert.v4.ip = ""; # TODO
      };
    };
  };

  virtual = {
    mgmt = rec {
      # TODO: Introduce virtual network type
      v4 = {
        id = "10.249.0.0";
        bitmask = 23;
      };
      server = {
        hostname = "montalin";
        port = 51820;
      };

      hosts = {
        montalin = {
          v4.ip = "10.249.0.1";
          endpoint = "calanda.plessur.net.qo.is:${toString server.port}";
          publicKey = "76nV1jgexHJ898hTLbMRz1BjguFp6YCHpoV52GuNDzc=";
          persistentKeepalive = null;
        };
        #calanda.v4.ip    = "10.249.0.2";
        #cavistrau.v4.ip  = "10.249.0.3";
        #stompert.v4.ip   = "10.249.0.4";
        hummelberg = {
          v4.ip = "10.249.0.5";
          endpoint = null;
          publicKey = "dvv3ad9mWU9opTa8R9yPN4l1xfwdcMH0e/Rrv0GXPS4=";
          persistentKeepalive = 25; # Might be behind NAT
        };
      };
    };

    montalin-stompert = {
      v4 = {
        id = "10.249.2.0";
        bitmask = 24;
      };

      hosts = {
        montalin.v4.ip = "10.249.2.1";
        stompert.v4.ip = "10.249.2.2";
      };
    };
  };
}
